<!-- <button routerLink="/dashboard/foros">Foros</button>  Este funciona en el deploy-->

<div class="all">

  <div class="body">
      <!-- <mat-spinner diameter="50" class="spinner" *ngIf="loading"></mat-spinner>
      <div class="circleG"></div>
      <div class="circleP"></div>
      <div class="circleM"></div> -->
      <img src="../../../assets/img/chibi-saludo.png" alt="chibi-saludo" class="chibi-saludo">
  
      <form [formGroup]="form">

        <div class="title">
          <span class="bien">Bienvenido!</span>
          <h1 class="inicio">Registrate</h1>
        </div>

        <div class="column">
          <div class="columna50">

            <div class="row">
              <mat-form-field >
                <mat-label>Nombre</mat-label>
                <input type="text" matInput
                placeholder="Nombre"
                formControlName="nombre"
                [class.is-invalid] ="nombreNoValido"
                >
            
              </mat-form-field>
                <small class="text-danger" *ngIf="nombreNoValido">Ingrese más de 3 letras</small>
            </div>

            <div class="row">
              <mat-form-field class="ancho" >
                <mat-label>Correo</mat-label>
                <input type="text" matInput
                placeholder="Correo Electrónico"
                formControlName="correo"
                [class.is-invalid] = "correoNoValido"
                >
              </mat-form-field>

                <small class="text-danger" *ngIf="correoNoValido">
                  Ingrese un correo válido
                </small>
                <small class="text-danger" *ngIf="emailExistente">
                  El Correo ya esta en uso
                </small>
            </div>

            <div class="row">
              <mat-form-field class="ancho" >
                <mat-label>Usuario</mat-label>
                <input type="text" matInput
                placeholder="Nombre de Usuario"
                formControlName="usuario"
                [class.is-invalid]="usuarioNoValido"
                >
              </mat-form-field>
                <small class="text-danger" *ngIf="usuarioNoValido">
                  Ingrese un nombre de usuario
                </small>
                <small class="text-danger" *ngIf="usuarioExistente">
                  El nombre de usuario ya esta en uso
                </small>
            </div>
          </div>

            <div class="columna50">

                <!-- <mat-form-field class="ancho">
                    <mat-label>Género</mat-label>
                    <mat-select formControlName="sexo">
                        <mat-option *ngFor="let item of sexo" [value]="item">
                            {{item}}
                        </mat-option>
                    </mat-select>
                </mat-form-field> -->
                <mat-form-field >
                  <mat-label>Genero</mat-label>
                  <mat-select formControlName="genero">
                    <mat-option value="Femenino">Femenino</mat-option>
                    <mat-option value="Masculino">Masculino</mat-option>
                    <mat-option value="">Ninguno</mat-option>
                  </mat-select>
                </mat-form-field>



              
              <mat-form-field class="ancho" >
                <mat-label>Contraseña</mat-label>
                <input type="password" matInput
                placeholder="Contraseña"
                formControlName="pass1"
                [class.is-invalid] = "pass1NoValido"
                >
              </mat-form-field>

              <mat-form-field class="ancho" >
                <mat-label>Repita</mat-label>
                <input type="password" matInput
                placeholder="Repita la contraseña"
                formControlName="pass2"
                [class.is-invalid] = "pass2NoValido"
                >
              </mat-form-field>

            </div>
        </div>

        <div class="boton">
          <button type="submit" class="btn" mat-raised-button color="primary" [disabled]="!form.valid"(click)="guardar()">Guardar</button>
        </div>

      </form>
      
  
  </div>

</div>